# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'LoanPiece'
        db.create_table(u'matos_loanpiece', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('piece', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['matos.Piece'])),
            ('loan', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['matos.Loan'])),
            ('quantity', self.gf('django.db.models.fields.IntegerField')(default=1)),
        ))
        db.send_create_signal(u'matos', ['LoanPiece'])

        # Adding model 'Loan'
        db.create_table(u'matos_loan', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_start', self.gf('django.db.models.fields.DateField')(null=True)),
            ('date_end', self.gf('django.db.models.fields.DateField')(null=True)),
            ('comment', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('loaner', self.gf('django.db.models.fields.CharField')(max_length=50, blank=True)),
        ))
        db.send_create_signal(u'matos', ['Loan'])


    def backwards(self, orm):
        # Deleting model 'LoanPiece'
        db.delete_table(u'matos_loanpiece')

        # Deleting model 'Loan'
        db.delete_table(u'matos_loan')


    models = {
        u'matos.loan': {
            'Meta': {'object_name': 'Loan'},
            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'date_end': ('django.db.models.fields.DateField', [], {'null': 'True'}),
            'date_start': ('django.db.models.fields.DateField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'loaner': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'pieces': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'to': u"orm['matos.Piece']", 'null': 'True', 'through': u"orm['matos.LoanPiece']", 'blank': 'True'})
        },
        u'matos.loanpiece': {
            'Meta': {'object_name': 'LoanPiece'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'loan': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['matos.Loan']"}),
            'piece': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['matos.Piece']"}),
            'quantity': ('django.db.models.fields.IntegerField', [], {'default': '1'})
        },
        u'matos.piece': {
            'Meta': {'ordering': "['title']", 'object_name': 'Piece'},
            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'creation_timestamp': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'in_use': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_update_timestamp': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'null': 'True', 'blank': 'True'}),
            'location': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'purchase_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'purchase_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'quantity': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'rentable': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        }
    }

    complete_apps = ['matos']